# Workaround gcc10 build issue
%global _legacy_common_support 1

Name:		swftools
Version:	0.9.2
Release:	%mkrel 16
Summary:	A collection of utilities for working with Adobe Flash files
License:	GPLv2
Group:          Graphics/Editors and Converters
Url:		http://www.swftools.org
Source:		http://www.swftools.org/%{name}-%{version}.tar.gz
Patch0:		swftools-0.9.2_general.patch
Patch1:		swftools-0.9.2-newer-gif.patch
Patch2:		swftools-0.9.2-giflib5.patch
Patch3:		0001-Fix-an-integer-overflow-issue-in-png.c.patch
Patch4:		0001-Fix-an-off-by-one-error-in-png.c.patch
Patch5:		swftools-0.9.2-CVE-2017-7698.patch
Patch6:		swftools-0.9.2-destdir.patch
Patch7:		swftools-0.9.2-mga-ptr-compare.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(zziplib)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(ruby)
BuildRequires:	giflib-devel
BuildRequires:	lame-devel

%description
The tool collection includes programs for reading SWF files,
combining them, and creating them from other content (like images,
sound files, videos or source code).
SWFTools is released under the GPL.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_bindir}/as3compile
%{_bindir}/font2swf
%{_bindir}/gif2swf
%{_bindir}/jpeg2swf
%{_bindir}/pdf2swf
%{_bindir}/png2swf
%{_bindir}/swfbbox
%{_bindir}/swfc
%{_bindir}/swfcombine
%{_bindir}/swfdump
%{_bindir}/swfextract
%{_bindir}/swfrender
%{_bindir}/swfstrings
%{_bindir}/wav2swf
%{_mandir}/man1/*
%{_datadir}/%{name}/


%changelog
* Fri Feb 10 2023 daviddavid <daviddavid> 0.9.2-16.mga9
+ Revision: 1939861
- enable mp3lame support

* Sat Nov 05 2022 danf <danf> 0.9.2-15.mga9
+ Revision: 1903560
- Add ptr-compare.patch to fix compiling with gcc12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Jul 20 2020 wally <wally> 0.9.2-14.mga8
+ Revision: 1607402
- workaround gcc10 build issue
- rebuild for zziplib 0.13.71

* Fri Feb 14 2020 umeabot <umeabot> 0.9.2-13.mga8
+ Revision: 1517307
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-12.mga7
+ Revision: 1301261
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 wally <wally> 0.9.2-11.mga7
+ Revision: 1245847
- fix build on aarch64
- use new make macros
- own all installed files/dirs

* Fri Dec 29 2017 luigiwalser <luigiwalser> 0.9.2-10.mga7
+ Revision: 1186928
- add upstream patch to fix CVE-2017-7698

* Mon Jun 05 2017 luigiwalser <luigiwalser> 0.9.2-9.mga6
+ Revision: 1106836
- add patches from opensuse to fix CVE-2017-8400 and CVE-2017-8401

* Thu Jan 07 2016 luigiwalser <luigiwalser> 0.9.2-8.mga6
+ Revision: 920496
- add patch to fix build with giflib5
- rebuild for giflib

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-7.mga5
+ Revision: 742481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-6.mga5
+ Revision: 689639
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-5.mga4
+ Revision: 535979
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.9.2-4.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 383840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.9.2-3.mga3
+ Revision: 345429
- use standard makeinstall
- fix build with newer giflib
+ pterjan <pterjan>
- Fix BuildRequires to have gif support on non x86

* Fri Apr 20 2012 matteo <matteo> 0.9.2-1.mga2
+ Revision: 232180
- added zziplib-devel as br
- added fontconfig-devel as br
- added fftw-devel as br
- added ruby-devel as br
- new stable version

* Wed Sep 07 2011 matteo <matteo> 0.9.1-1.mga2
+ Revision: 140966
- using freetype2-devel
- added libgif-devel as build requirement
- moved libjpeg from requires to  buildrequires
- added libzlib-devel as build requirement
- imported package swftools

